GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

Functions
GTReplay: General API

A group of GTReplay APIs controlling GTReplay emulation session More...

## Functions
GTREPLAY_API void | GTReplay_Start ()
GTREPLAY_API void | GTReplay_Abort (const char *msg)
GTREPLAY_API const char * | GTReplay_GetVersion ()
GTREPLAY_API const char * | GTReplay_GetRevision ()
GTREPLAY_API GTReplayKernel | GTReplay_LoadTrace (const char *pathToTrace)

## Detailed Description

A group of GTReplay APIs controlling GTReplay emulation session

## Function Documentation

GTREPLAY_API void GTReplay_Abort | ( | const char * | msg | ) |

Report the specified message to the GTReplay user, and terminate the process

Parameters:

  [in] | msg | the message to be reported

Availability:
  - All

GTREPLAY_API const char* GTReplay_GetRevision | ( |  | ) |

Returns:
  GTReplay revision string

Availability:
  - All

GTREPLAY_API const char* GTReplay_GetVersion | ( |  | ) |

Returns:
  GTReplay version string

Availability:
  - All

GTREPLAY_API GTReplayKernel GTReplay_LoadTrace | ( | const char * | pathToTrace | ) |

Load a trace and return a handle to corresponding kernel

Returns:
  a handle to corresponding kernel

Parameters:

  [in] | path | to a directory containing the trace

Availability:
  - initialization

GTREPLAY_API void GTReplay_Start | ( |  | ) |

Start GTReplay

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT